Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the Perl-Critic CPAN distribution.

Report information
The Basics
Id: 89375
Status: new
Priority: 0/
Queue: Perl-Critic

People
Owner: Nobody in particular
Requestors: steve.siano [...] yahoo.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Test t/00_modules.t Failed test 'use Perl::Critic::Policy::Documentation::PodSpelling;'
Date: Wed, 9 Oct 2013 22:52:22 -0700 (PDT)
To: "bug-Perl-Critic [...] rt.cpan.org" <bug-Perl-Critic [...] rt.cpan.org>
From: Steve Siano <steve.siano [...] yahoo.com>
Download (untitled) / with headers
text/plain 4.1k
Test 00_modules.t failed when trying to install Perl::Critic 1.119. Sincerely, Steve Siano Perl: This is perl 5, version 16, subversion 2 (v5.16.2) built for darwin-thread-multi-2level (with 3 registered patches, see perl -V for more detail) System: Darwin Steves-MacBook-Pro.local 13.0.0 Darwin Kernel Version 13.0.0: Thu Sep 19 22:22:27 PDT 2013; root:xnu-2422.1.72~6/RELEASE_X86_64 x86_64 Error Message: Generating t/NamingConventions/Capitalization.run.       Done.   THALJEF/Perl-Critic-1.119.tar.gz   ./Build -- OK Running Build test * WARNING: Configuration was initially created with Module::Build                        version '0.3901' but we are now using version '0.4007'.                If errors occur, you must re-run the Build.PL or Makefile.PL script.                           Skipping generating tests because it doesn't look like we're in an author environment.                                           t/00_modules.t ................................ Couldn't require Perl::Critic::Policy::Documentation::PodSpelling : Can't locate Pod/Spell.pm in @INC (@INC contains: /Users/ssiano/. /Users/ssiano/.cpan/build/Perl-Critic-1.119-vYJyPy/blib/arch inc /AppleInternal/Library/Perl/5.16/darwin-thread-multi-2level /AppleInter cpan/build/Perl-Critic-1.119-vYJyPy/blib/lib /Users/ssiano/.cpan/build/Perl-Critic-1.119-vYJyPy/blib/arch inc /AppleInternal/Library/Perl/5.16/darwin-thread-multi-2level /AppleInterevel /AppleInternal/Library/Perl/5.16 /Library/Perl/5.16/darwin-thread-multi-2level /Library/Perl/5.16 /Library/Perl/Updates/5.16.2/darwi nal/Library/Perl/5.16/darwin-thread-multi-2level /AppleInternal/Library/Perl/5.16 /Library/Perl/5.16/darwin-thread-multi-2level /Library/Perl/5.16 /Library/Perl/Updates/5.16.2/darwi5.16.2 /System/Library/Perl/5.16/darwin-thread-multi-2level /System/Library/Perl/5.16 /System/Library/Perl/Extras/5.16/darwin-thread-mult n-thread-multi-2level /Library/Perl/Updates/5.16.2 /System/Library/Perl/5.16/darwin-thread-multi-2level /System/Library/Perl/5.16 /System/Library/Perl/Extras/5.16/darwin-thread-mult at /Users/ssiano/.cpan/build/Perl-Critic-1.119-vYJyPy/blib/lib/Perl/Critic/Policy/Documentation/PodSpelling.pm line 21.                  i-2level /System/Library/Perl/Extras/5.16 .) at /Users/ssiano/.cpan/build/Perl-Critic-1.119-vYJyPy/blib/lib/Perl/Critic/Policy/Documentation/PodSpelling.pm line 21.d/Perl-Critic-1.119-vYJyPy/blib/lib/Perl/Critic/Policy/Documentation/PodSpelling.pm line 21.                             BEGIN failed--compilation aborted at /Users/ssiano/.cpan/build/Perl-Critic-1.119-vYJyPy/blib/lib/Perl/Critic/Policy/Documentation/PodSpelling.pm line 21.                                                                                                              Compilation failed in require at (eval 268) line 2.         at /System/Library/Perl/5.16/Module/Pluggable.pm line 30.               t/00_modules.t ................................ 813/2640               #   Failed test 'use Perl::Critic::Policy::Documentation::PodSpelling;'                            #   at t/00_modules.t line 292. #     Tried to use 'Perl::Critic::Policy::Documentation::PodSpelling'.                           #     Error:  Attempt to reload Perl/Critic/Policy/Documentation/PodSpelling.pm aborted.                                             # Compilation failed in require at (eval 537) line 2.          # BEGIN failed--compilation aborted at (eval 537) line 2.              Bailout called.  Further testing stopped:  Can't continue.               FAILED--Further testing stopped: Can't continue.       THALJEF/Perl-Critic-1.119.tar.gz one dependency not OK (Pod::Spell); additionally test harness failed                           ./Build test -- NOT OK //hint// to see the cpan-testers results for installing this module, try:                                reports THALJEF/Perl-Critic-1.119.tar.gz Running Build install   make test had returned bad status, won't install without force                    


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.